
@rem  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
@rem  5724-I04 (C) COPYRIGHT International Business Machines Corp., 2005
@rem  All Rights Reserved * Licensed Materials - Property of IBM
@rem  US Government Users Restricted Rights - Use, duplication or disclosure
@rem  restricted by GSA ADP Schedule Contract with IBM Corp.
@echo off
REM Usage: ifix_IC46991.bat -install
setlocal

echo  Ifix IC46991: 
echo  THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
echo  5724-I04 (C) COPYRIGHT International Business Machines Corp., 2005
echo  All Rights Reserved * Licensed Materials - Property of IBM
echo  US Government Users Restricted Rights - Use, duplication or disclosure
echo  restricted by GSA ADP Schedule Contract with IBM Corp.
echo.
echo    Please allow the ifix installation to run to completion. i.e. do not control-c 
echo.
echo    Please review the readme_IC46991.txt file delivered with this ifix
echo    before proceeding...
echo.
echo.
pause


@rem Check parameters  
IF [%1] ==[] GOTO Syntax 


@rem Try to setup the WAS command line environment by using the default WAS install location

if EXIST "C:\Program Files\WebSphere\AppServer\bin\setupCmdLine.bat" goto setupwas
   GOTO checkenv
   
:setupwas
call "c:\Program Files\WebSphere\AppServer\bin\setupCmdLine.bat"

:checkenv         
@rem Check required Environment Variables are setup                      
IF  "%WAS_HOME%".== "". goto washome

IF  "%WVS_ROOT%".== "". goto wvsroot 

GOTO:parms

:Syntax
 @echo.
 @echo Ifix_IC46991: WVS Ifix IC46991 Installer  
 @echo  to install ifix  syntax: ifix_IC46991.bat -install 
 @echo  to uninstall ifix  syntax: ifix_IC46991.bat -uninstall 
 @echo  off
 GOTO:EOF

:washome
  @echo.
  @echo Ifix_IC46991: Please run WebSphere Application Servers setupCmdLine.bat to setup
  @echo          the WAS Command line environment
  @echo Ifix_IC46991: The WebSphere Application Servers setupCmdLine.bat is located in WAS_HOME/bin directory.
  @echo.
  pause
  GOTO:EOF
  
:wvsroot
  @echo.
  @echo Ifix_IC46991: Please configure WebSphere Voice Server wvs.setenv according
  @echo          to the WVS InfoCenter 
  @echo.
  pause
  GOTO:EOF

:parms
set installoption=false
set uninstalloption=false

:loop
if '%1'=='-install' goto installoption
if '%1'=='-uninstall' goto uninstalloption
if '%1'=='' goto syntax
goto syntax

:installoption
set installoption=true
GOTO:GO

:uninstalloption
set uninstalloption=true
GOTO:GO


:GO    

pushd  

if  "%installoption%" == "true" goto installparm

if  "%uninstalloption%" == "true" goto uninstallparm

:installparm 
  if NOT EXIST %WVS_ROOT%\ifix\IC46991\wvsapp.ear.bak goto installifix
    echo "Ifix_IC46991: Ifix IC46991 is applied, please uninstall before trying to reinstall ifix"
    goto:EOF
    
    
:installifix  

 @rem # Check that the ifix files are found

 @echo Ifix_IC46991: Checking for ifix files ...
 @echo Ifix_IC46991: Checking for ifix files ...  >> %WVS_ROOT%\log\IC46991.log
  if NOT EXIST "%~dp0wvsapp.ear" goto missing
    if NOT EXIST "%~dp0asrcontrol.exe" goto missing
      @echo Ifix_IC46991: Ifix files found.. proceeding to install ifix
      @echo Ifix_IC46991: Ifix files found.. proceeding to install ifix >> %WVS_ROOT%\log\IC46991.log
      @mkdir %WVS_ROOT%\ifix\IC46991
      
      echo Ifix_IC46991: Stopping WebSphere Application Server
      echo Ifix_IC46991: Stopping WebSphere Application Server >> %WVS_ROOT%\log\IC46991.log
      call "%WAS_HOME%\bin\stopServer.bat" server1 -quiet >> %WVS_ROOT%\log\IC46991.log
      if ERRORLEVEL -10  ( 
         echo Ifix_IC46991: WebSphere Application Server Successfully stopped. 
         echo Ifix_IC46991: WebSphere Application Server Successfully stopped.  >> %WVS_ROOT%\log\IC46991.log
      ) else (
         echo.
         echo Ifix_IC46991: WebSphere Application Server Failed to stop Successfully. Exiting ifix installation.   
         echo Ifix_IC46991: WebSphere Application Server Failed to stop Successfully.  Exiting ifix installation. >> %WVS_ROOT%\log\IC46991.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991.log
         goto:EOF
      )
      
      copy /y "%~dp0Ifix_IC46991.bat" %WVS_ROOT%\ifix\.  >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0stopVoiceServer.jacl" %WVS_ROOT%\ifix\IC46991\. >> %WVS_ROOT%\log\IC46991.log
      copy /y %WVS_ROOT%\ear\wvsapp.ear %WVS_ROOT%\ifix\IC46991\wvsapp.ear.bak >> %WVS_ROOT%\log\IC46991.log
      copy /y %WVS_ROOT%\ViaVoice\bin\ibmgram.dll %WVS_ROOT%\ifix\IC46991\ibmgram.dll.bak >> %WVS_ROOT%\log\IC46991.log
      copy /y %WVS_ROOT%\ViaVoice\bin\asrcontrol.exe %WVS_ROOT%\ifix\IC46991\asrcontrol.exe.bak >> %WVS_ROOT%\log\IC46991.log
      copy /y %WVS_ROOT%\package\installEar.jacl %WVS_ROOT%\ifix\IC46991\installEar.jacl.bak >> %WVS_ROOT%\log\IC46991.log
      
      copy /y "%~dp0wvsapp.ear" "%WVS_ROOT%\ear\."          >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0ibmgram.dll" "%WVS_ROOT%\ViaVoice\bin\."   >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0asrcontrol.exe" "%WVS_ROOT%\ViaVoice\bin\." >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0installEar.jacl" "%WVS_ROOT%\package\."    >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0configureWVR.bat" "%WAS_HOME%\bin\."     >> %WVS_ROOT%\log\IC46991.log
      copy /y "%~dp0configureWVR.jacl" "%WAS_HOME%\bin\."  >> %WVS_ROOT%\log\IC46991.log

      echo Ifix_IC46991: Starting WebSphere Application Server 
      echo Ifix_IC46991: Starting WebSphere Application Server >> %WVS_ROOT%\log\IC46991.log
      call "%WAS_HOME%\bin\startServer.bat" server1 -quiet    >> %WVS_ROOT%\log\IC46991.log
      
      if ERRORLEVEL 0  ( 
         echo Ifix_IC46991: WebSphere Application Server Successfully started. 
         echo Ifix_IC46991: WebSphere Application Server Successfully started.  >> %WVS_ROOT%\log\IC46991.log
      ) else (
         echo.
         echo Ifix_IC46991: WebSphere Application Server Failed to start Successfully. Exiting ifix installation.   
         echo Ifix_IC46991: WebSphere Application Server Failed to start Successfully. Exiting ifix installation.  >> %WVS_ROOT%\log\IC46991.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991.log
         goto:EOF
      )

      echo Ifix_IC46991: Stopping  WebSphere Voice Server
      echo Ifix_IC46991: Stopping  WebSphere Voice Server  >> %WVS_ROOT%\log\IC46991.log
      call "%WAS_HOME%\bin\wsadmin.bat" -f "%~dp0stopVoiceServer.jacl"  %WAS_NODE% >> %WVS_ROOT%\log\IC46991.log

                           
      if ERRORLEVEL 0  ( 
         echo Ifix_IC46991: Voice Server Successfully stopped. 
         echo Ifix_IC46991: Voice Server Successfully stopped.  >> %WVS_ROOT%\log\IC46991.log
      ) else (
         echo.
         echo Ifix_IC46991: Voice Server encountered a failure during stopping. Exiting ifix installation. 
         echo Ifix_IC46991: Voice Server encountered a failure during stopping. Exiting ifix installation.  >> %WVS_ROOT%\log\IC46991.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991.log
         goto:EOF
      )
      
      echo Ifix_IC46991: Updating WebSphere Voice Server J2EE Application 
      echo Ifix_IC46991: Updating WebSphere Voice Server J2EE Application     >> %WVS_ROOT%\log\IC46991.log
      cd /D %WVS_ROOT%   >> %WVS_ROOT%\log\IC46991.log
      
      call "%WAS_HOME%\bin\wsadmin.bat" -f %WVS_ROOT%/package/installEar.jacl "./ear" wvsapp  "WVS5.1-%WAS_NODE%" "%WAS_NODE%" >> %WVS_ROOT%\log\IC46991.log
      echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991.log

      if ERRORLEVEL 0  ( 
         echo.
         echo.
         echo Ifix_IC46991: Ifix is now applied, please reboot the system 
         echo Ifix_IC46991: Ifix is now applied, please reboot the system  >> %WVS_ROOT%\log\IC46991.log
      ) else (
         echo.
         echo.
         echo Ifix_IC46991: Ifix encountered a failure during update of the WVS Application, please uninstall the ifix.  
         echo Ifix_IC46991: Ifix encountered a failure during update of the WVS Application, please uninstall the ifix.  >> %WVS_ROOT%\log\IC46991.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991.log
         goto:EOF
      )

      goto:EOF
      
    @rem else
:missing
      echo Ifix_IC46991: Ifix files missing, please be sure this script is in same directory as the binary files
      goto:EOF



:uninstallparm

if NOT "%uninstalloption%" == "true" goto :EOF
@rem # Check that the ifix backup files are found
 echo Ifix_IC46991: Checking for ifix backup files ... 
 echo Ifix_IC46991: Checking for ifix backup files ... >> %WVS_ROOT%\log\IC46991U.log

   if not exist %WVS_ROOT%\ifix\IC46991\wvsapp.ear.bak goto:unmissing 
    if not exist %WVS_ROOT%\ifix\IC46991\asrcontrol.exe.bak goto:unmissing
      echo Ifix_IC46991: Ifix backup files found.. proceeding to un-install ifix 
      echo Ifix_IC46991: Ifix backup files found.. proceeding to un-install ifix >> %WVS_ROOT%\log\IC46991U.log


      echo Ifix_IC46991: Starting WebSphere Application Server
      call "%WAS_HOME%\bin\startServer.bat" server1 -quiet >> %WVS_ROOT%\log\IC46991U.log

      if ERRORLEVEL 0  ( 
         echo Ifix_IC46991: WebSphere Application Server Successfully started. 
         echo Ifix_IC46991: WebSphere Application Server Successfully started.  >> %WVS_ROOT%\log\IC46991U.log
      ) else (
         echo Ifix_IC46991: WebSphere Application Server Failed to start Successfully.   
         echo Ifix_IC46991: WebSphere Application Server Failed to start Successfully.  >> %WVS_ROOT%\log\IC46991U.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991U.log
      )
      
      echo Ifix_IC46991: Stopping  WebSphere Voice Server
      call "%WAS_HOME%\bin\wsadmin.bat" -f %WVS_ROOT%/ifix/IC46991/stopVoiceServer.jacl %WAS_NODE% >> %WVS_ROOT%\log\IC46991U.log
      
      if ERRORLEVEL 0  ( 
         echo Ifix_IC46991: Voice Server Successfully stopped. 
         echo Ifix_IC46991: Voice Server Successfully stopped.  >> %WVS_ROOT%\log\IC46991U.log
      ) else (
         echo Ifix_IC46991: Voice Server encountered a failure during stopping.  
         echo Ifix_IC46991: Voice Server encountered a failure during stopping.   >> %WVS_ROOT%\log\IC46991U.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991U.log
      )
      
      copy /y %WVS_ROOT%\ifix\IC46991\wvsapp.ear.bak %WVS_ROOT%\ear\wvsapp.ear >> %WVS_ROOT%\log\IC46991U.log
      copy /y %WVS_ROOT%\ifix\IC46991\ibmgram.dll.bak %WVS_ROOT%\ViaVoice\bin\ibmgram.dll >> %WVS_ROOT%\log\IC46991U.log
      copy /y %WVS_ROOT%\ifix\IC46991\asrcontrol.exe.bak  %WVS_ROOT%\ViaVoice\bin\asrcontrol.exe >> %WVS_ROOT%\log\IC46991U.log
     

      echo Ifix_IC46991: Updating WebSphere Voice Server J2EE Application
      echo Ifix_IC46991: Updating WebSphere Voice Server J2EE Application >> %WVS_ROOT%\log\IC46991U.log

      cd %WVS_ROOT%
      call "%WAS_HOME%\bin\wsadmin.bat" -f %WVS_ROOT%/package/installEar.jacl "./ear" wvsapp "WVS5.1-%WAS_NODE%" "%WAS_NODE%"  >> %WVS_ROOT%\log\IC46991U.log

      
      if ERRORLEVEL 0  ( 
         echo.
         echo.
         echo Ifix_IC46991: Ifix is now uninstalled, please reboot the system 
         echo Ifix_IC46991:  Please remove the %WVS_ROOT%\ifix\IC46991 directory before attempting a subsequent install of this ifix.
         echo Ifix_IC46991: Ifix is now uninstalled, please reboot the system  >> %WVS_ROOT%\log\IC46991U.log
      ) else (
         echo.
         echo.
         echo Ifix_IC46991: Ifix encountered a failure during update of the WVS Application, please retry uninstalling the ifix.  
         echo Ifix_IC46991: Ifix encountered a failure during update of the WVS Application, please retry uninstalling the ifix.  >> %WVS_ROOT%\log\IC46991U.log
         echo %ERRORLEVEL% >>  %WVS_ROOT%\log\IC46991U.log
      )
      
      goto :END
     
:unmissing
      echo Ifix_IC46991: Ifix backup files missing, uninstall not performed
 
popd
:END


